algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Coalgebra.Trigonometric.Class

# Documentation

class Trigonometric r where Source

Methods

cos :: rSource

sin :: rSource

Instances

Trigonometric TrigBasis |
Rig r => Trigonometric (Trig r) |
Rig r => Trigonometric (TrigBasis -> r) |
Rig r => Trigonometric (:->: TrigBasis r) |
Trigonometric a => Trigonometric (Covector r a) |